package rione.util;

public class BitUtil {

	/**
	 * n種類を表現するのに必要なビット数を得る
	 * @param n ビット数を調べる数
	 * @return 表現するのに必要なビット数
	 */
	public static int needBitSize(int n) {
		int size = 0;
		do {
			size++;
			n >>>= 1;
		} while (n != 0);
		return size;
	}

}
